launch-runner:
  image: iterativeai/cml:0-dvc2-base1
  script:
    # Supports AWS, Azure, GCP, K8s
    - cml runner launch
      --cloud=aws
      --cloud-region=us-west
      --cloud-type=m5.2xlarge
      --cloud-spot
      --labels=cml-runner
train-and-report:
  tags: [cml-runner]
  needs: [launch-runner]
  image: iterativeai/cml:0-dvc2-base1
  script:
    - pip install -r requirements.txt
    - python train.py  # generate plot.png
    - echo "## Report from your EC2 instance" >> report.md
    - cat metrics.txt >> report.md
    - echo '![](./plot.png "Confusion Matrix")' >> report.md
    - cml comment create report.md